<!DOCTYPE html>
<html lang="pl">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Witaj świecie!</title>
  <link href="https://fonts.googleapis.com/css2?family=Pacifico&display=swap" rel="stylesheet">
  <style>
    html {
      height: 100vh;
      width: 100%;

      color: whitesmoke;
    }

    main {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      
      text-align: center;
    }

    h1 {
      font-size: 10vh;
      font-family: 'Pacifico', cursive;
      
      white-space: nowrap;

      padding: 0 5em 0;

      background: linear-gradient(-19deg, #21D4FD 0%, #B721FF 100%);

      background-clip: text;
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
    }

    .heart {
      opacity: 0;
      transform: scale(.0);
      transition: all 0.6s cubic-bezier(0.6, -0.28, 0.735, 0.045);
    }

    .heart-show {
      opacity: 1;
      transform: scale(.75);
    }

    .heart-beat {
      animation: heartbeat 1s infinite;
    }

    @keyframes heartbeat {
      0%
      {
        transform: scale( .75 );
      }
      20%
      {
        transform: scale( 1 );
      }
      40%
      {
        transform: scale( .75 );
      }
      60%
      {
        transform: scale( 1 );
      }
      80%
      {
        transform: scale( .75 );
      }
      100%
      {
        transform: scale( .75 );
      }
    }
  </style>
</head>
<body>

  <main>
    <h1>Cześć Świecie! </h1>
    <h1 class="heart">&#10084;&#65039;</h1>
  </main>

  <script>
    let heartIcon = document.querySelector('.heart')
    
    setTimeout( () => {
      heartIcon.classList.add('heart-show')
    }, 0)

    setTimeout( () => {
      heartIcon.classList.add('heart-beat')
    }, 600)
  </script>
</body>
</html>